clang-tools 8.0.0

Namespaces | Functions
ConstReturnTypeCheck.cpp File Reference
`#include "ConstReturnTypeCheck.h"`
`#include "../utils/LexerUtils.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Lex/Lexer.h"`
`#include "llvm/ADT/Optional.h"`
Include dependency graph for ConstReturnTypeCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::readability

## Functions
static llvm::Optional< Token > | clang::tidy::readability::findConstToRemove (const FunctionDecl *Def, const MatchFinder::MatchResult &Result)
static CheckResult | clang::tidy::readability::checkDef (const clang::FunctionDecl *Def, const MatchFinder::MatchResult &MatchResult)

## Variable Documentation

## ◆ ConstRange

CharSourceRange ConstRange

Definition at line 59 of file ConstReturnTypeCheck.cpp.

## ◆ DeclLocs

llvm::SmallVector<clang::SourceLocation, 4> DeclLocs

Definition at line 65 of file ConstReturnTypeCheck.cpp.

## ◆ Hints

llvm::SmallVector<clang::FixItHint, 4> Hints

Definition at line 62 of file ConstReturnTypeCheck.cpp.